After portal update to 10.9 webappbuilder apps doesnt work

7127
22
Jump to solution
05-24-2021 01:25 AM
Hcemince
New Contributor II

Hi everyone,

We just updated our portal and server 10.8.1 to 10.9. However, our webappbuilder applications doesn't work after update.

Error is "Cannot read property 'version' of undefined"

Huseyin_CemINCE1_1-1621844716648.png

 

1 Solution

Accepted Solutions
LucasRibeiro
New Contributor

We have this problem after migrating from 10.8.1 to 10.9 and we found a solution!

After comparing a 10.9 WAB config application with a 10.8.1 config we notice that the property "uri" doesn´t work anymore for the custom widget. The property needs to change to "itemId" referencing the ID of the custom widget of the Portal.

So, we opened the web map applications at AGOL Assistant, and fix these properties to all custom widgets and the application works again.

 

agol-assistant-custom-widgets.jpg

View solution in original post

22 Replies
Hakan_KOCAMAN
New Contributor II

Solving this problem is very important for other users who will update.

0 Kudos
BillFox
MVP Frequent Contributor

Did the step about re-index portal items complete successfully?

0 Kudos
Hcemince
New Contributor II

I've checked the portal logs 

PORTAL LOG.PNG

0 Kudos
DavidColey
Frequent Contributor

Are you able to access the portal's web app builder at all?  Can you create new web apps?  Or is it only existing web apps that will not open from the app overview page>EditApplication?

If you still cannot edit the app, you could try is this:

Get the item id of one of your portal hosted WABs.  Go into the portals content items folder and search for the item:

D:\arcgisportal\content\items\your_long_id_item_number

The first file in the 'your_long_id_item_number' folder is the json config file for the wab application.  I have an existing application I built at Enterprise version 10.6.1.  The very top of the json config file looks like this:

{"theme":{"name":"FoldableTheme","styles":["blue","default","black","cyan","green","purple","red","yellow"],"version":"2.8", . . .

 

it looks to me like the pair "version":"2.x" may be missing from your config.  Maybe you had a custom theme?  So depending on when you built your apps in the Portal Web App Builder will determine what version it is.  For Enterprise 10.6.1 it was version 2.8.  For the latest 10.9 Enterprise the wab version is 2.19

https://developers.arcgis.com/web-appbuilder/guide/about-versions.htm

 

Maybe that will work, I don't know.  I've never tried.....

 

0 Kudos
Hcemince
New Contributor II

Previous apps, which was created before update,  stoped working. Creating new apps working good, without errors. 

I also tried to manuel version change as you mentioned. But, it didn't work.

0 Kudos
DavidColey
Frequent Contributor

Yeah, that was a longshot, I'm not surprised it didn't work for portal-hosted WABs.  I guess on the one that I have I just got lucky that it still opened in the portal wab editor.  Otherwise, all of our WABs are created from the developer edition.

However, I  too lost previous configurable apps created before the upgrade.  However, I just discovered that for a Nearby app created at 10.8 the url was:

https://ourPortal.net/portal/apps/Nearby/index.html?appid=8e3dbdbd0b3d49e7bca65ab205797cbf

I created a new Nearby and noticed that the url now looks like:

https://ourPortal.net/portal/apps/instant/nearby/index.html?appid=00506c1768844d1ba196aa5e74af459a

So I went into the Settings of the 10.8 Nearby app and updated the source url to read:

https://ourPortal.net/portal/apps/instant/nearby/index.html?appid=8e3dbdbd0b3d49e7bca65ab205797cbf

Which works, as far as making the app viewable again.  But it can no longer be configured.   There is no ability to edit or re-configure so I had to just create a new one.

@JonEmch 

@MichaelStranovsky 

 

0 Kudos
BillFox
MVP Frequent Contributor

I would expect the upgrade to take about 8 hours. The 15 min line above seems to indicate the update flopped with a false positive log entry.

Hcemince
New Contributor II

in this case, we will run the portal setup again. But this time, it will be a repair setup type.  Am i right?  Because,  It wont be detected as a update, I guess...

0 Kudos
Hcemince
New Contributor II

Couldn't find a solution here. We created all the apps again. Also, noticed that this problem seems on the apps which includes custom widgets. Custom widgets might be version updated before upgrading portal or later.